Redmine - Defect #26379

Fix thumbnail rendering for images with height >> width
2017-07-07 12:05 - Gabriel Cardoso

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 3.4.2

Resolution: Fixed Affected version: 3.4.0
Description

The ImageMagick format rule being "100x100>" (given 100 as thumbnail size in settings), when uploading images with a height much
greater than the width (like websites templates) the thumbnail will have a height of 100px and a computed width so homothety is
respected.

In the “thumbnail_tag" helper from "ApplicationHelper’, the width attribute is set width "Setting.thumbnails_size’. | suggest to remove
this attribute from the image tag since the source thumbnail has the right size.

Am | missing some cases where this change could have an important impact ?

Associated revisions

Revision 16813 - 2017-07-10 23:19 - Jean-Philippe Lang

Fix thumbnail rendering for images with height >> width.

Revision 16819 - 2017-07-16 13:49 - Jean-Philippe Lang
Merged r16813 (#26379).

History

#1 - 2017-07-07 20:26 - Pavel Rosicky

you can disable imagemagick and then you won't be able to resize thumbnails

bundle install --without rmagick

#2 - 2017-07-08 10:03 - Go MAEDA
Gabriel Cardoso wrote:
In the “thumbnail_tag" helper from "ApplicationHelper’, the width attribute is set width “Setting.thumbnails_size". | suggest to remove this

attribute from the image tag since the source thumbnail has the right size.

The width attribute is workaround for strange behavior of Firefox. Please see #24927#note-6 and #24927#note-8 for details.

#3 - 2017-07-08 10:10 - Go MAEDA
- Tracker changed from Patch to Defect

- Affected version set to 3.4.0

#4 - 2017-07-08 10:21 - Go MAEDA
- File 26379-3_3@2x.png added
- File 26379-3_4@2x.png added

Redmine 3.3 (displayed with 25px * 100px):
https://www.redmine.org/issues/24927#note-6
https://www.redmine.org/issues/24927#note-8
Redmine 3.4 (displayed with 100px * 392px):
#5 - 2017-07-09 08:41 - Go MAEDA
- File defect-26379.diff added

- Target version set to 3.4.1

Here is a patch to fix this issue.
Thumbnails are displayed in the same way as in Redmine 3.3 if the patch applied.

#6 - 2017-07-09 09:16 - Jean-Philippe Lang

- Target version changed from 3.4.1 to 3.4.2

Waiting for some feedback before merging it.

#7 - 2017-07-10 10:29 - Gabriel Cardoso

- Status changed from New to Resolved

Perfect ! Thank you !

Indeed, your approach is better and solve the proble. Hope it doesn't break #24927#note-6 and #24927#note-8 on Firefox

#8 - 2017-07-10 10:59 - Go MAEDA

- Status changed from Resolved to Confirmed

Gabriel Cardoso wrote:
https://www.redmine.org/issues/24927#note-6
https://www.redmine.org/issues/24927#note-8

Indeed, your approach is better and solve the proble. Hope it doesn't break #24927#note-6 and #24927#note-8 on Firefox

No problem. Setting both max-width and max-height resolved #24927#note-6.

Thank you for your feedback!

"Resolved" status is used by core developers, | am setting the status to "Confirmed".

#9 - 2017-07-10 23:19 - Jean-Philippe Lang

- Subject changed from Fix thumbnail rendering to Fix thumbnail rendering for images with height >> width

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#10 - 2017-07-16 13:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed
